ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE/configure
(Generate patch)

Comparing trunk/OOPSE/configure (file contents):
Revision 840 by gezelter, Wed Oct 29 14:29:12 2003 UTC vs.
Revision 1233 by gezelter, Fri Jun 4 02:38:23 2004 UTC

# Line 311 | Line 311 | ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKA
311   # include <unistd.h>
312   #endif"
313  
314 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR mpi_dir MPI_LIBDIR MPI_INC MPI_LIB MPIF77 MPIF90 MPILIBS CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL MPI_F90_MODS MPIMODLIBNAME BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
314 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI CPP EGREP SPRNG_LIBDIR SPRNG_LIB SPRNG_INC HAVE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LIBOBJS LTLIBOBJS'
315   ac_subst_files=''
316  
317   # Initialize some variables set by options.
# Line 784 | Line 784 | ac_env_MPIF77_set=${MPIF77+set}
784   ac_env_F90FLAGS_value=$F90FLAGS
785   ac_cv_env_F90FLAGS_set=${F90FLAGS+set}
786   ac_cv_env_F90FLAGS_value=$F90FLAGS
787 ac_env_MPIF77_set=${MPIF77+set}
788 ac_env_MPIF77_value=$MPIF77
789 ac_cv_env_MPIF77_set=${MPIF77+set}
790 ac_cv_env_MPIF77_value=$MPIF77
787   ac_env_CPP_set=${CPP+set}
788   ac_env_CPP_value=$CPP
789   ac_cv_env_CPP_set=${CPP+set}
# Line 874 | Line 870 | Optional Packages:
870   Optional Packages:
871    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
872    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
873 <  --with-mpi_dir=MPIDIR   give the path for MPI /usr/local
878 <  --with-mpi-libdir=dir  give the path for MPI-libraries MPI_DIR/lib
879 <  --with-mpi_inc=dir  give the path for MPI-include-files MPI_DIR/include
873 >  --with-mpi=<prefix>     compile with MPI libraries in <prefix> [default=no]
874    --with-sprng_prefix=PREFIX
875                            Prefix where SPRNG is installed
876    --with-sprng-libdir=PREFIX  SPRNG library directory
877    --with-sprng-include=PREFIX
878                            SPRNG include directory
879 <  --with-mkl              Do we want MKL will check /usr/local/intel/mkl60 /opt/intel/mkl60
886 <  --with-mpi_f90_mods=<dir>
887 <                          Location where MPI f90 modules are installed
879 >  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
880  
881   Some influential environment variables:
882    CC          C compiler command
# Line 897 | Line 889 | Some influential environment variables:
889    CXXFLAGS    C++ compiler flags
890    F90         Fortran 90 compiler command
891    F90FLAGS    Fortran 90 compiler flags
900  MPIF77      MPI Fortran compiler command
892    CPP         C preprocessor
893  
894   Use these variables to override the choices made by `configure' or to help
# Line 1792 | Line 1783 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1783   # $SHELLVAR to the Fortran 95 mangled name.  If the SHELLVAR
1784   # argument is not supplied, it defaults to NAME.
1785   # AC_F95_FUNC
1786 +
1787 +
1788 +
1789 +
1790 +
1791 +
1792  
1793  
1794  
# Line 1836 | Line 1833 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1833  
1834  
1835  
1836 +
1837   # set program name
1838   PROGNAME="oopse"
1839  
# Line 2573 | Line 2571 | if test -n "$ac_tool_prefix"; then
2571   ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2572   ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
2573   if test -n "$ac_tool_prefix"; then
2574 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2574 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2575    do
2576      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2577   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2615 | Line 2613 | if test -z "$CXX"; then
2613   fi
2614   if test -z "$CXX"; then
2615    ac_ct_CXX=$CXX
2616 <  for ac_prog in $CCC icpc icc xlC CC g++ c++
2616 >  for ac_prog in $CCC icpc icc xlc++ xlC CC g++ c++
2617   do
2618    # Extract the first word of "$ac_prog", so it can be a program name with args.
2619   set dummy $ac_prog; ac_word=$2
# Line 2887 | Line 2885 | OOPSE_TEMPLATE_FLAGS=""
2885   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2886   ac_compiler_gnu=$ac_cv_c_compiler_gnu
2887  
2888 +
2889   OOPSE_TEMPLATE_FLAGS=""
2890   if test $ac_cv_cxx_compiler_gnu = no; then
2891    echo "$as_me:$LINENO: checking checking whether ${CXX} accepts -ptused -no_prelink" >&5
# Line 2931 | Line 2930 | echo "${ECHO_T}yes" >&6
2930    if test -z "`${CXX} -LANG:std -c conftest.cc 2>&1`"; then
2931      echo "$as_me:$LINENO: result: yes" >&5
2932   echo "${ECHO_T}yes" >&6
2933 +
2934 +
2935      EXTRA_CC_FLAG=${EXTRA_CC_FLAG}" -LANG:std"
2936    else
2937      echo "$as_me:$LINENO: result: no" >&5
# Line 2946 | Line 2947 | if test -n "$ac_tool_prefix"; then
2947   ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
2948   ac_compiler_gnu=$ac_cv_f90_compiler_gnu
2949   if test -n "$ac_tool_prefix"; then
2950 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2950 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2951    do
2952      # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
2953   set dummy $ac_tool_prefix$ac_prog; ac_word=$2
# Line 2988 | Line 2989 | if test -z "$F90"; then
2989   fi
2990   if test -z "$F90"; then
2991    ac_ct_F90=$F90
2992 <  for ac_prog in ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2992 >  for ac_prog in ifort ifc f90 xlf90 pgf90 epcf90 f95 xlf95 lf95 fort g95
2993   do
2994    # Extract the first word of "$ac_prog", so it can be a program name with args.
2995   set dummy $ac_prog; ac_word=$2
# Line 3096 | Line 3097 | if test "$ac_test_PREPFLAG" != "set"; then
3097    PREPFLAG=""
3098    case "${host_cpu}-${host_os}" in
3099  
3100 <  *linux*) if test "$F90" = ifc; then
3100 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3101                      PREPFLAG="-fpp1 "
3102                  fi;;
3103    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3109 | Line 3110 | if test "$ac_test_PREPFLAG" != "set"; then
3110    esac
3111  
3112    if test -z "$PREPFLAG"; then
3113 <        echo ""
3114 <        echo "**********************************************************"
3114 <        echo "* WARNING: Don't know the best PREPFLAG for this system  *"
3115 <        echo "* Use  make PREPFLAG=..., or edit the top level Makefile *"
3116 <        echo "* (otherwise, an empty PREPFLAG will be used)            *"
3117 <        echo "**********************************************************"
3118 <        echo ""
3113 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPFLAG\"" >&5
3114 > echo "$as_me: WARNING: \"Using empty PREPFLAG\"" >&2;}
3115          PREPFLAG=""
3116    fi
3117  
# Line 3178 | Line 3174 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
3174   ac_compiler_gnu=$ac_cv_c_compiler_gnu
3175  
3176  
3181
3177    if test "$prepflagworks" = 1; then
3178      echo "$as_me:$LINENO: result: yes" >&5
3179   echo "${ECHO_T}yes" >&6
# Line 3203 | Line 3198 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3198    PREPDEFFLAG=""
3199    case "${host_cpu}-${host_os}" in
3200  
3201 <  *linux*) if test "$F90" = ifc; then
3201 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
3202                      PREPDEFFLAG=" "
3203                  fi;;
3204    *aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 3216 | Line 3211 | if test "$ac_test_PREPDEFFLAG" != "set"; then
3211    esac
3212  
3213    if test -z "$PREPDEFFLAG"; then
3214 <        echo ""
3215 <        echo "*************************************************************"
3221 <        echo "* WARNING: Don't know the best PREPDEFFLAG for this system  *"
3222 <        echo "* Use  make PREPDEFFLAG=..., or edit the top level Makefile *"
3223 <        echo "* (otherwise, an empty PREPDEFFLAG will be used)            *"
3224 <        echo "*************************************************************"
3225 <        echo ""
3214 >        { echo "$as_me:$LINENO: WARNING: \"Using empty PREPDEFFLAG\"" >&5
3215 > echo "$as_me: WARNING: \"Using empty PREPDEFFLAG\"" >&2;}
3216          PREPDEFFLAG=" "
3217    fi
3218  
# Line 3364 | Line 3354 | F90FLAGS="$F90FLAGS $ac_verb"
3354   ac_save_F90FLAGS=$F90FLAGS
3355   F90FLAGS="$F90FLAGS $ac_verb"
3356  
3357 < (eval echo $as_me:3367: \"$ac_link\") >&5
3357 > (eval echo $as_me:3357: \"$ac_link\") >&5
3358   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3359   echo "$ac_f90_v_output" >&5
3360   F90FLAGS=$ac_save_F90FLAGS
# Line 3441 | Line 3431 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3431   ac_save_F90FLAGS=$F90FLAGS
3432   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3433  
3434 < (eval echo $as_me:3444: \"$ac_link\") >&5
3434 > (eval echo $as_me:3434: \"$ac_link\") >&5
3435   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3436   echo "$ac_f90_v_output" >&5
3437   F90FLAGS=$ac_save_F90FLAGS
# Line 4015 | Line 4005 | case $debug in
4005    1)
4006       ;;
4007    *)
4008 +
4009 +
4010  
4011  
4012  
4013  
4014 + echo "$as_me:$LINENO: checking whether we are *really* using GNU cc" >&5
4015 + echo $ECHO_N "checking whether we are *really* using GNU cc... $ECHO_C" >&6
4016 + if test "${ac_cv_prog_really_gcc+set}" = set; then
4017 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4018 + else
4019 +
4020 + cat > conftest.c <<EOF
4021 + #ifdef __GNUC__
4022 +  #ifndef __INTEL_COMPILER
4023 +     yes;
4024 +  #endif
4025 + #endif
4026 + EOF
4027 + if { ac_try='${CC-cc} -E conftest.c'
4028 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4029 +  (eval $ac_try) 2>&5
4030 +  ac_status=$?
4031 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4032 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4033 +  ac_cv_prog_really_gcc=yes
4034 + else
4035 +  ac_cv_prog_really_gcc=no
4036 + fi
4037 +
4038 + fi
4039 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gcc" >&5
4040 + echo "${ECHO_T}$ac_cv_prog_really_gcc" >&6
4041 + if test "$ac_cv_prog_really_gcc" = yes; then
4042 +        :
4043 +
4044 + else
4045 +        :
4046 +
4047 + fi
4048 +
4049 +
4050   # Try to determine "good" native compiler flags if none specified on command
4051   # line
4052   if test "$ac_test_CFLAGS" != "set"; then
# Line 4058 | Line 4086 | if test "$ac_test_CFLAGS" != "set"; then
4086          fi;;
4087     *darwin*)
4088          if test "$CC" = xlc -o "$CC" = cc; then
4089 <                CFLAGS="-O3 -qtune=auto -w"
4062 <                echo "*******************************************************"
4063 <                echo "*  You have Darwin on an unknown powerpc system.      *"
4064 <                echo "*  It is recommended that you use                     *"
4065 <                echo "*                                                     *"
4066 <                echo "*  CFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4067 <                echo "*                               ^^^                   *"
4068 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4069 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4070 <                echo "*******************************************************"
4089 >                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4090          fi;;
4091    esac
4092  
4093    # use default flags for gcc on all systems
4094 <  if test $ac_cv_c_compiler_gnu = yes; then
4094 >  if test $ac_cv_prog_really_gcc = yes; then
4095       CFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4096    fi
4097  
4098    # test for gcc-specific flags:
4099 <  if test $ac_cv_c_compiler_gnu = yes; then
4099 >  if test $ac_cv_prog_really_gcc = yes; then
4100      # -malign-double for x86 systems
4101  
4102  
# Line 4135 | Line 4154 | fi
4154    fi
4155  
4156    CPU_FLAGS=""
4157 <  if test "$GCC" = "yes"; then
4157 >  if test $ac_cv_prog_really_gcc = yes; then
4158                    case "${host_cpu}" in
4159            i586*)
4160  
# Line 4281 | Line 4300 | cat > conftest.c <<EOF
4300   else
4301  
4302   cat > conftest.c <<EOF
4303 < #ifdef __GNUC__
4303 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4304   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4305       yes;
4306   #  endif
# Line 4449 | Line 4468 | fi
4468  
4469  
4470  
4471 +
4472 +
4473 +
4474 +
4475 + echo "$as_me:$LINENO: checking whether we are *really* using GNU c++" >&5
4476 + echo $ECHO_N "checking whether we are *really* using GNU c++... $ECHO_C" >&6
4477 + if test "${ac_cv_prog_really_gxx+set}" = set; then
4478 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4479 + else
4480 +
4481 + cat > conftest.cpp <<EOF
4482 + #ifdef __GNUC__
4483 +  #ifndef __INTEL_COMPILER
4484 +     yes;
4485 +  #endif
4486 + #endif
4487 + EOF
4488 + if { ac_try='${CXX-c++} -E conftest.cpp'
4489 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4490 +  (eval $ac_try) 2>&5
4491 +  ac_status=$?
4492 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4493 +  (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4494 +  ac_cv_prog_really_gxx=yes
4495 + else
4496 +  ac_cv_prog_really_gxx=no
4497 + fi
4498 +
4499 + fi
4500 + echo "$as_me:$LINENO: result: $ac_cv_prog_really_gxx" >&5
4501 + echo "${ECHO_T}$ac_cv_prog_really_gxx" >&6
4502 + if test "$ac_cv_prog_really_gxx" = yes; then
4503 +        :
4504 +
4505 + else
4506 +        :
4507 +
4508 + fi
4509  
4510  
4511   # Try to determine "good" native compiler flags if none specified on command
# Line 4480 | Line 4537 | if test "$ac_test_CXXFLAGS" != "set"; then
4537                  echo "*******************************************************"
4538          fi;;
4539     *darwin*)
4540 <        if test "$CXX" = xlC; then
4541 <                CXXFLAGS="-O3 -qtune=auto -qansialias -w"
4485 <                echo "*******************************************************"
4486 <                echo "*  You have AIX on an unknown powerpc system.  It is  *"
4487 <                echo "*  recommended that you use                           *"
4488 <                echo "*                                                     *"
4489 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w  *"
4490 <                echo "*                                 ^^^                 *"
4491 <                echo "*  where xxx is 601, 603, 604, or whatever kind of    *"
4492 <                echo "*  PowerPC CPU you have.   For more info, man cc.     *"
4493 <                echo "*******************************************************"
4540 >        if test "$CXX" = xlc++; then
4541 >                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
4542          fi;;
4543    esac
4544  
4545    # use default flags for gcc on all systems
4546 <  if test $ac_cv_c_compiler_gnu = yes; then
4546 >  if test $ac_cv_prog_really_gxx = yes; then
4547       CXXFLAGS="-O6 -fomit-frame-pointer -Wall -W -Wcast-qual -Wpointer-arith -Wcast-align -pedantic"
4548    fi
4549  
4550    # test for gcc-specific flags:
4551 <  if test $ac_cv_c_compiler_gnu = yes; then
4551 >  if test $ac_cv_prog_really_gxx = yes; then
4552      # -malign-double for x86 systems
4553  
4554  
# Line 4558 | Line 4606 | fi
4606    fi
4607  
4608    CPU_FLAGS=""
4609 <  if test "$GCC" = "yes"; then
4609 >  if test $ac_cv_prog_really_gxx = yes; then
4610                    case "${host_cpu}" in
4611            i586*)
4612  
4613 < echo "$as_me:$LINENO: checking whether ${CC-cc} accepts -mcpu=pentium" >&5
4614 < echo $ECHO_N "checking whether ${CC-cc} accepts -mcpu=pentium... $ECHO_C" >&6
4613 > echo "$as_me:$LINENO: checking whether ${CXX-c++} accepts -mcpu=pentium" >&5
4614 > echo $ECHO_N "checking whether ${CXX-c++} accepts -mcpu=pentium... $ECHO_C" >&6
4615   if test "${ac_cpu_pentium+set}" = set; then
4616    echo $ECHO_N "(cached) $ECHO_C" >&6
4617   else
4618 <  echo 'void f(){}' > conftest.c
4619 < if test -z "`${CC-cc} -mcpu=pentium -c conftest.c 2>&1`"; then
4618 >  echo 'void f(){}' > conftest.cpp
4619 > if test -z "`${CXX-c++} -mcpu=pentium -c conftest.cpp 2>&1`"; then
4620          ac_cpu_pentium=yes
4621   else
4622          ac_cpu_pentium=no
# Line 4697 | Line 4745 | echo "$as_me:$LINENO: checking whether we are using gc
4745                  elif test "$cputype" = 750; then
4746  
4747  
4748 < echo "$as_me:$LINENO: checking whether we are using gcc 2.95 or later" >&5
4749 < echo $ECHO_N "checking whether we are using gcc 2.95 or later... $ECHO_C" >&6
4750 < if test "${ac_cv_prog_gcc_2_95+set}" = set; then
4748 > echo "$as_me:$LINENO: checking whether we are using g++ 2.95 or later" >&5
4749 > echo $ECHO_N "checking whether we are using g++ 2.95 or later... $ECHO_C" >&6
4750 > if test "${ac_cv_prog_gxx_2_95+set}" = set; then
4751    echo $ECHO_N "(cached) $ECHO_C" >&6
4752   else
4753  
4754 < cat > conftest.c <<EOF
4755 < #ifdef __GNUC__
4754 > cat > conftest.cpp <<EOF
4755 > #ifdef __GNUC__ && !defined (__INTEL_COMPILER)
4756   #  if (__GNUC__ > 2) || (__GNUC__ == 2 && __GNUC_MINOR__ >= 95)
4757       yes;
4758   #  endif
4759   #endif
4760   EOF
4761 < if { ac_try='${CC-cc} -E conftest.c'
4761 > if { ac_try='${CXX-c++} -E conftest.cpp'
4762    { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4763    (eval $ac_try) 2>&5
4764    ac_status=$?
4765    echo "$as_me:$LINENO: \$? = $ac_status" >&5
4766    (exit $ac_status); }; } | egrep yes >/dev/null 2>&1; then
4767 <  ac_cv_prog_gcc_2_95=yes
4767 >  ac_cv_prog_gxx_2_95=yes
4768   else
4769 <  ac_cv_prog_gcc_2_95=no
4769 >  ac_cv_prog_gxx_2_95=no
4770   fi
4771  
4772   fi
4773 < echo "$as_me:$LINENO: result: $ac_cv_prog_gcc_2_95" >&5
4774 < echo "${ECHO_T}$ac_cv_prog_gcc_2_95" >&6
4775 < if test "$ac_cv_prog_gcc_2_95" = yes; then
4773 > echo "$as_me:$LINENO: result: $ac_cv_prog_gxx_2_95" >&5
4774 > echo "${ECHO_T}$ac_cv_prog_gxx_2_95" >&6
4775 > if test "$ac_cv_prog_gxx_2_95" = yes; then
4776          :
4777  
4778  
# Line 4881 | Line 4929 | if test x"$F90FLAGS" = x ; then
4929    F90FLAGS=""
4930    case "${host_cpu}-${host_os}" in
4931  
4932 <  *linux*) if test "$F90" = ifc; then
4932 >  *linux*) if test "$F90" = ifc -o "$F90" = ifort; then
4933                      F90FLAGS="-O"
4934                  fi;;
4935     rs6000*-aix*)  if test "$F90" = xlf90 -o "$F90" = f90; then
# Line 4901 | Line 4949 | if test x"$F90FLAGS" = x ; then
4949                  echo "*******************************************************"
4950          fi;;
4951     *darwin*)
4952 <        if test "$F90" = f90 -o "$F90" = xlf90; then
4953 <                F90FLAGS="-O3 -qtune=auto -w"
4906 <                echo "*********************************************************"
4907 <                echo "*  You have Darwin on an unknown powerpc system.  It is *"
4908 <                echo "*  recommended that you use                             *"
4909 <                echo "*                                                       *"
4910 <                echo "*  CXXFLAGS=-O3 -qarch=ppc -qtune=xxx -qansialias -w    *"
4911 <                echo "*                                 ^^^                   *"
4912 <                echo "*  where xxx is 601, 603, 604, or whatever kind of      *"
4913 <                echo "*  PowerPC CPU you have.   For more info, man xlf.      *"
4914 <                echo "*********************************************************"
4952 >        if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
4953 >                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
4954          fi;;
4955    esac
4956  
# Line 5537 | Line 5576 | echo "$as_me:$LINENO: checking for mpi-directory" >&5
5576    exit 1
5577   fi
5578  
5540 echo "$as_me:$LINENO: checking for mpi-directory" >&5
5541 echo $ECHO_N "checking for mpi-directory... $ECHO_C" >&6
5579  
5580 < # Check whether --with-mpi_dir or --without-mpi_dir was given.
5581 < if test "${with_mpi_dir+set}" = set; then
5582 <  withval="$with_mpi_dir"
5583 <  MPI_DIR="$withval"
5580 >
5581 > # Check whether --with-mpi or --without-mpi was given.
5582 > if test "${with_mpi+set}" = set; then
5583 >  withval="$with_mpi"
5584 >  with_mpi=$withval
5585   else
5586 <  MPI_DIR="/usr/local"
5586 >  with_mpi="no"
5587   fi;
5550 echo "$as_me:$LINENO: result: $MPI_DIR" >&5
5551 echo "${ECHO_T}$MPI_DIR" >&6
5588  
5589 + case "x$with_mpi" in
5590 +        xyes | "x")  USE_MPI=yes;;
5591 +        xno) USE_MPI=no ;;
5592 +        *) MPI="$with_mpi"; USE_MPI=yes ;;
5593 + esac
5594 + if test "$USE_MPI" = "yes" -a -z "$with_mpi"; then
5595 +        MPI="/usr/local"
5596 + fi
5597 + if test "$USE_MPI" = "yes"; then
5598 +        echo "MPI = $MPI"
5599  
5554 echo "$as_me:$LINENO: checking for mpi-lib-directory" >&5
5555 echo $ECHO_N "checking for mpi-lib-directory... $ECHO_C" >&6
5600  
5601 < # Check whether --with-mpi_libdir or --without-mpi_libdir was given.
5602 < if test "${with_mpi_libdir+set}" = set; then
5603 <  withval="$with_mpi_libdir"
5560 <  MPI_LIBDIR="$withval"
5561 < else
5562 <  MPI_LIBDIR="$MPI_DIR/lib"
5563 < fi;
5564 < echo "$as_me:$LINENO: result: $MPI_LIBDIR" >&5
5565 < echo "${ECHO_T}$MPI_LIBDIR" >&6
5601 > # Set variables...
5602 > MPI_LIB_DIR="$MPI/lib"
5603 > MPI_INC_DIR="$MPI/include"
5604  
5605  
5568 echo "$as_me:$LINENO: checking for mpi-inc-directory" >&5
5569 echo $ECHO_N "checking for mpi-inc-directory... $ECHO_C" >&6
5606  
5607 < # Check whether --with-mpi_inc or --without-mpi_inc was given.
5608 < if test "${with_mpi_inc+set}" = set; then
5609 <  withval="$with_mpi_inc"
5610 <  MPI_INC="$withval"
5607 > echo "$as_me:$LINENO: checking for mpi.h" >&5
5608 > echo $ECHO_N "checking for mpi.h... $ECHO_C" >&6
5609 > have_mpi_h=0
5610 > echo '#include <mpi.h>' > conftest.cc
5611 > if test -z "`${CXX} -I${MPI_INC_DIR} -c conftest.cc 2>&1`"; then
5612 >        echo "$as_me:$LINENO: result: yes" >&5
5613 > echo "${ECHO_T}yes" >&6
5614 >        have_mpi_h=1
5615   else
5616 <  MPI_INC="$MPI_DIR/include"
5617 < fi;
5618 < echo "$as_me:$LINENO: result: $MPI_INC" >&5
5619 < echo "${ECHO_T}$MPI_INC" >&6
5616 >        echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5617 > echo "${ECHO_T}no! Check MPI include paths" >&6
5618 >        USE_MPI="no"
5619 > fi
5620 > rm -f conftest*
5621 > if test "$have_mpi_h" = 1; then
5622 >
5623 > cat >>confdefs.h <<\_ACEOF
5624 > #define HAVE_MPI_H 1
5625 > _ACEOF
5626 >
5627 > fi
5628 >
5629 > echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
5630 > echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
5631 > have_mpif_h=0
5632 > rm -f conftest*
5633 > cat >conftest.f90 <<EOF
5634 > program main
5635 >   include 'mpif.h'
5636 > end
5637 > EOF
5638 > if $F90 -I$MPI_INC_DIR -c conftest.f90 > conftest.out 2>&1 ; then
5639 >        echo "$as_me:$LINENO: result: yes" >&5
5640 > echo "${ECHO_T}yes" >&6
5641 >        MPI_F90_INC="$MPI_INC"
5642 >        have_mpif_h=1
5643 > else
5644 >        if test -s conftest.out ; then
5645 >                cat conftest.out >> config.log
5646 >        fi
5647 >        echo "$as_me:$LINENO: result: no! Check MPI include paths" >&5
5648 > echo "${ECHO_T}no! Check MPI include paths" >&6
5649 >        USE_MPI="no"
5650 > fi
5651 > rm -f conftest*
5652  
5653 + if test "$have_mpif_h" = 1; then
5654  
5655 + cat >>confdefs.h <<\_ACEOF
5656 + #define HAVE_MPIF_H 1
5657 + _ACEOF
5658  
5659 < echo "$as_me:$LINENO: checking for MPI library" >&5
5584 < echo $ECHO_N "checking for MPI library... $ECHO_C" >&6
5585 < MPI_LIB=""
5586 < case "$host" in
5587 <  *-ibm-aix*)
5588 <    echo "$as_me:$LINENO: checking whether to use signal-based MPI library" >&5
5589 < echo $ECHO_N "checking whether to use signal-based MPI library... $ECHO_C" >&6
5590 <    echo "$as_me:$LINENO: result: $PACX_SIGNAL" >&5
5591 < echo "${ECHO_T}$PACX_SIGNAL" >&6
5592 <    if test "x$PACX_SIGNAL" = "xyes" ; then
5593 <      if test -f "$MPI_LIBDIR/libmpi.a" ; then
5594 <        MPI_LIB="-lmpi"
5595 <      elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5596 <        MPI_LIB="-lmpi"
5597 <      elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5598 <        MPI_LIB="-lmpich"
5599 <      else
5600 <        { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5601 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5602 <   { (exit 1); exit 1; }; }
5603 <      fi
5604 <    else
5605 <      if test -f "$MPI_LIBDIR/libmpi_r.a" ; then
5606 <         MPI_LIB="-lmpi_r"
5607 <      else
5608 <         { { echo "$as_me:$LINENO: error: libmpi_r not found; check path for MPI package..." >&5
5609 < echo "$as_me: error: libmpi_r not found; check path for MPI package..." >&2;}
5610 <   { (exit 1); exit 1; }; }
5611 <      fi
5612 <    fi
5613 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5614 < echo "${ECHO_T}found $MPI_LIB" >&6
5615 <  ;;
5616 <  *)                             if test -f "$MPI_LIBDIR/libmpi.a" ; then
5617 <      MPI_LIB="-lmpi"
5618 <    elif test -f "$MPI_LIBDIR/libmpi.so" ; then
5619 <      MPI_LIB="-lmpi"
5620 <    elif test -f "$MPI_LIBDIR/libmpich.a" ; then
5621 <      MPI_LIB="-lmpich"
5622 <    else
5623 <      { { echo "$as_me:$LINENO: error: neither libmpi nor libmpich found; check path for MPI package first..." >&5
5624 < echo "$as_me: error: neither libmpi nor libmpich found; check path for MPI package first..." >&2;}
5625 <   { (exit 1); exit 1; }; }
5626 <    fi
5627 <    echo "$as_me:$LINENO: result: found $MPI_LIB" >&5
5628 < echo "${ECHO_T}found $MPI_LIB" >&6
5629 <  ;;
5630 < esac
5659 > fi
5660  
5661 + ac_ext=c
5662 + ac_cpp='$CPP $CPPFLAGS'
5663 + ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
5664 + ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
5665 + ac_compiler_gnu=$ac_cv_c_compiler_gnu
5666  
5667 + ac_save_LDFLAGS=$LDFLAGS
5668 + LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
5669  
5670 <
5671 <
5672 <
5673 <
5638 <        for ac_prog in mpif90 hf90 mpxlf90 mpf90 mpxlf95 mpxlf_r
5639 < do
5640 <  # Extract the first word of "$ac_prog", so it can be a program name with args.
5641 < set dummy $ac_prog; ac_word=$2
5642 < echo "$as_me:$LINENO: checking for $ac_word" >&5
5643 < echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
5644 < if test "${ac_cv_prog_MPIF90+set}" = set; then
5670 > if test x = x"$MPI_LIB"; then
5671 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5672 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5673 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5674    echo $ECHO_N "(cached) $ECHO_C" >&6
5675   else
5676 <  if test -n "$MPIF90"; then
5677 <  ac_cv_prog_MPIF90="$MPIF90" # Let the user override the test.
5676 >  ac_check_lib_save_LIBS=$LIBS
5677 > LIBS="-lmpi  $LIBS"
5678 > cat >conftest.$ac_ext <<_ACEOF
5679 > #line $LINENO "configure"
5680 > /* confdefs.h.  */
5681 > _ACEOF
5682 > cat confdefs.h >>conftest.$ac_ext
5683 > cat >>conftest.$ac_ext <<_ACEOF
5684 > /* end confdefs.h.  */
5685 >
5686 > /* Override any gcc2 internal prototype to avoid an error.  */
5687 > #ifdef __cplusplus
5688 > extern "C"
5689 > #endif
5690 > /* We use char because int might match the return type of a gcc2
5691 >   builtin and then its argument prototype would still apply.  */
5692 > char MPI_Init ();
5693 > int
5694 > main ()
5695 > {
5696 > MPI_Init ();
5697 >  ;
5698 >  return 0;
5699 > }
5700 > _ACEOF
5701 > rm -f conftest.$ac_objext conftest$ac_exeext
5702 > if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5703 >  (eval $ac_link) 2>&5
5704 >  ac_status=$?
5705 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5706 >  (exit $ac_status); } &&
5707 >         { ac_try='test -s conftest$ac_exeext'
5708 >  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5709 >  (eval $ac_try) 2>&5
5710 >  ac_status=$?
5711 >  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5712 >  (exit $ac_status); }; }; then
5713 >  ac_cv_lib_mpi_MPI_Init=yes
5714   else
5715 < as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
5716 < for as_dir in $PATH
5652 < do
5653 <  IFS=$as_save_IFS
5654 <  test -z "$as_dir" && as_dir=.
5655 <  for ac_exec_ext in '' $ac_executable_extensions; do
5656 <  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
5657 <    ac_cv_prog_MPIF90="$ac_prog"
5658 <    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
5659 <    break 2
5660 <  fi
5661 < done
5662 < done
5715 >  echo "$as_me: failed program was:" >&5
5716 > sed 's/^/| /' conftest.$ac_ext >&5
5717  
5718 + ac_cv_lib_mpi_MPI_Init=no
5719   fi
5720 + rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5721 + LIBS=$ac_check_lib_save_LIBS
5722   fi
5723 < MPIF90=$ac_cv_prog_MPIF90
5724 < if test -n "$MPIF90"; then
5725 <  echo "$as_me:$LINENO: result: $MPIF90" >&5
5726 < echo "${ECHO_T}$MPIF90" >&6
5670 < else
5671 <  echo "$as_me:$LINENO: result: no" >&5
5672 < echo "${ECHO_T}no" >&6
5723 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5724 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5725 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5726 >  MPI_LIB="-lmpi"
5727   fi
5728  
5729 <  test -n "$MPIF90" && break
5730 < done
5731 < test -n "$MPIF90" || MPIF90="$F90"
5729 > fi
5730 > if test x = x"$MPI_LIB"; then
5731 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5732 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5733 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5734 >  echo $ECHO_N "(cached) $ECHO_C" >&6
5735 > else
5736 >  ac_check_lib_save_LIBS=$LIBS
5737 > LIBS="-lmpich  $LIBS"
5738 > cat >conftest.$ac_ext <<_ACEOF
5739 > #line $LINENO "configure"
5740 > /* confdefs.h.  */
5741 > _ACEOF
5742 > cat confdefs.h >>conftest.$ac_ext
5743 > cat >>conftest.$ac_ext <<_ACEOF
5744 > /* end confdefs.h.  */
5745  
5746 <        acx_mpi_save_F90="$F90"
5747 <        F90="$MPIF90"
5748 <
5749 <
5750 <
5751 < if test x = x"$MPILIBS"; then
5752 <        echo "$as_me:$LINENO: checking for MPI_Init" >&5
5753 < echo $ECHO_N "checking for MPI_Init... $ECHO_C" >&6
5754 <                        cat >conftest.$ac_ext <<_ACEOF
5755 <
5756 < program main
5757 <
5758 <      call MPI_Init
5759 < end program main
5693 <
5746 > /* Override any gcc2 internal prototype to avoid an error.  */
5747 > #ifdef __cplusplus
5748 > extern "C"
5749 > #endif
5750 > /* We use char because int might match the return type of a gcc2
5751 >   builtin and then its argument prototype would still apply.  */
5752 > char MPI_Init ();
5753 > int
5754 > main ()
5755 > {
5756 > MPI_Init ();
5757 >  ;
5758 >  return 0;
5759 > }
5760   _ACEOF
5761   rm -f conftest.$ac_objext conftest$ac_exeext
5762   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5704 | Line 5770 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5770    ac_status=$?
5771    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5772    (exit $ac_status); }; }; then
5773 <  MPILIBS=" "
5708 <                                echo "$as_me:$LINENO: result: yes" >&5
5709 < echo "${ECHO_T}yes" >&6
5773 >  ac_cv_lib_mpich_MPI_Init=yes
5774   else
5775    echo "$as_me: failed program was:" >&5
5776   sed 's/^/| /' conftest.$ac_ext >&5
5777  
5778 < echo "$as_me:$LINENO: result: no" >&5
5715 < echo "${ECHO_T}no" >&6
5778 > ac_cv_lib_mpich_MPI_Init=no
5779   fi
5780   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5781 + LIBS=$ac_check_lib_save_LIBS
5782   fi
5783 < if test x = x"$MPILIBS"; then
5783 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5784 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5785 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
5786 >  MPI_LIB="-lmpich"
5787 > fi
5788 >
5789 > fi
5790 > $as_unset ac_cv_lib_mpi_MPI_Init
5791 > if test x = x"$MPI_LIB"; then
5792          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5793   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5794   if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5795    echo $ECHO_N "(cached) $ECHO_C" >&6
5796   else
5797    ac_check_lib_save_LIBS=$LIBS
5798 < LIBS="-lmpi  $LIBS"
5798 > LIBS="-lmpi "-llam" $LIBS"
5799   cat >conftest.$ac_ext <<_ACEOF
5800 + #line $LINENO "configure"
5801 + /* confdefs.h.  */
5802 + _ACEOF
5803 + cat confdefs.h >>conftest.$ac_ext
5804 + cat >>conftest.$ac_ext <<_ACEOF
5805 + /* end confdefs.h.  */
5806  
5807 < program main
5808 <
5809 < call MPI_Init
5810 < end program main
5811 <
5807 > /* Override any gcc2 internal prototype to avoid an error.  */
5808 > #ifdef __cplusplus
5809 > extern "C"
5810 > #endif
5811 > /* We use char because int might match the return type of a gcc2
5812 >   builtin and then its argument prototype would still apply.  */
5813 > char MPI_Init ();
5814 > int
5815 > main ()
5816 > {
5817 > MPI_Init ();
5818 >  ;
5819 >  return 0;
5820 > }
5821   _ACEOF
5822   rm -f conftest.$ac_objext conftest$ac_exeext
5823   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5757 | Line 5844 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
5844   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5845   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5846   if test $ac_cv_lib_mpi_MPI_Init = yes; then
5847 <  MPILIBS="-lmpi"
5847 >  MPI_LIB="-lmpi -llam"
5848   fi
5849  
5850   fi
5851 < if test x = x"$MPILIBS"; then
5852 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
5853 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
5854 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
5851 >
5852 > $as_unset ac_cv_lib_mpi_MPI_Init
5853 > if test x = x"$MPI_LIB"; then
5854 > echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
5855 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
5856 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
5857    echo $ECHO_N "(cached) $ECHO_C" >&6
5858   else
5859    ac_check_lib_save_LIBS=$LIBS
5860 < LIBS="-lmpich  $LIBS"
5860 > LIBS="-lmpi -llam -lpthread $LIBS"
5861   cat >conftest.$ac_ext <<_ACEOF
5862 + #line $LINENO "configure"
5863 + /* confdefs.h.  */
5864 + _ACEOF
5865 + cat confdefs.h >>conftest.$ac_ext
5866 + cat >>conftest.$ac_ext <<_ACEOF
5867 + /* end confdefs.h.  */
5868  
5869 < program main
5870 <
5871 < call MPI_Init
5872 < end program main
5873 <
5869 > /* Override any gcc2 internal prototype to avoid an error.  */
5870 > #ifdef __cplusplus
5871 > extern "C"
5872 > #endif
5873 > /* We use char because int might match the return type of a gcc2
5874 >   builtin and then its argument prototype would still apply.  */
5875 > char MPI_Init ();
5876 > int
5877 > main ()
5878 > {
5879 > MPI_Init ();
5880 >  ;
5881 >  return 0;
5882 > }
5883   _ACEOF
5884   rm -f conftest.$ac_objext conftest$ac_exeext
5885   if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
# Line 5789 | Line 5893 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5893    ac_status=$?
5894    echo "$as_me:$LINENO: \$? = $ac_status" >&5
5895    (exit $ac_status); }; }; then
5896 <  ac_cv_lib_mpich_MPI_Init=yes
5896 >  ac_cv_lib_mpi_MPI_Init=yes
5897   else
5898    echo "$as_me: failed program was:" >&5
5899   sed 's/^/| /' conftest.$ac_ext >&5
5900  
5901 < ac_cv_lib_mpich_MPI_Init=no
5901 > ac_cv_lib_mpi_MPI_Init=no
5902   fi
5903   rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext
5904   LIBS=$ac_check_lib_save_LIBS
5905   fi
5906 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
5907 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
5908 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
5909 <  MPILIBS="-lmpich"
5906 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
5907 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
5908 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
5909 >  MPI_LIB="-lmpi -llam -lpthread"
5910 > else
5911 >
5912 >             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
5913 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
5914 >   { (exit 1); exit 1; }; }
5915 >             USE_MPI="no"
5916 >
5917   fi
5918  
5919   fi
5920  
5921  
5922  
5923 < F90="$acx_mpi_save_F90"
5924 <
5925 <
5926 <
5927 < # Finally, execute ACTION-IF-FOUND/ACTION-IF-NOT-FOUND:
5928 < if test x = x"$MPILIBS"; then
5929 <
5819 <        :
5923 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
5924 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
5925 > MPI_F90_LIB=""
5926 > if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
5927 >        MPI_F90_LIB="-lfmpich"
5928 > elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
5929 >        MPI_F90_LIB="-llamf77mpi"
5930   else
5931 +                        MPI_F90_LIB="  "
5932 + fi
5933 + echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
5934 + echo "${ECHO_T}found $MPI_F90_LIB" >&6
5935  
5822 cat >>confdefs.h <<\_ACEOF
5823 #define HAVE_MPI 1
5824 _ACEOF
5936  
5826        :
5937   fi
5938  
5939  
5940 +
5941   ac_ext=c
5942   ac_cpp='$CPP $CPPFLAGS'
5943   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 6573 | Line 6684 | fi
6684  
6685    CPPFLAGS=$ac_save_CPPFLAGS
6686    LDFLAGS=$ac_save_LDFLAGS
6687 <  ac_ext=f90
6688 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6689 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6690 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6687 >  ac_ext=c
6688 > ac_cpp='$CPP $CPPFLAGS'
6689 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6690 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6691 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6692  
6693  
6694    if test x_$HAVE_SPRNG != x_yes; then
# Line 6597 | Line 6709 | echo "${ECHO_T}yes" >&6
6709    withval="$with_mkl"
6710       echo "$as_me:$LINENO: result: yes" >&5
6711   echo "${ECHO_T}yes" >&6
6712 <    for dir in $withval /usr/local/intel/mkl60 /opt/intel/mkl60; do
6712 >    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
6713          mkldir="$dir"
6714          if test -f "$dir/include/mkl.h"; then
6715              found_mkl="yes";
# Line 6823 | Line 6935 | fi
6935  
6936    CPPFLAGS=$ac_save_CPPFLAGS
6937    LDFLAGS=$ac_save_LDFLAGS
6938 <  ac_ext=f90
6939 < ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6940 < ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6941 < ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6938 >  ac_ext=c
6939 > ac_cpp='$CPP $CPPFLAGS'
6940 > ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
6941 > ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6942 > ac_compiler_gnu=$ac_cv_c_compiler_gnu
6943  
6944  
6945    if test x_$HAVE_MKL != x_yes; then
# Line 6850 | Line 6963 | fi;
6963  
6964  
6965  
6853 # Check whether --with-mpi_f90_mods or --without-mpi_f90_mods was given.
6854 if test "${with_mpi_f90_mods+set}" = set; then
6855  withval="$with_mpi_f90_mods"
6856  mpi_f90_mods="$withval"
6857 else
6858  mpi_f90_mods="/usr/local/include/f90choice"
6859 fi;
6860
6861  echo "$as_me:$LINENO: checking for MPI F90 modules" >&5
6862 echo $ECHO_N "checking for MPI F90 modules... $ECHO_C" >&6
6863
6864
6865  ac_ext=f90
6866 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6867 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6868 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6869
6870  ac_save_F90FLAGS=$F90FLAGS
6871
6872  if test "$mpi_f90_mods"; then
6873  F90FLAGS="${F90FLAGS} ${MODDIRFLAG}${mpi_f90_mods}"
6874 fi
6875
6876    cat >conftest.$ac_ext <<_ACEOF
6877
6878
6879 program main
6880
6881 use mpi
6882 integer :: ierr
6883 call MPI_Init(ierr)
6884
6885
6886 end program main
6887
6888 _ACEOF
6889 rm -f conftest.$ac_objext
6890 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6891  (eval $ac_compile) 2>&5
6892  ac_status=$?
6893  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6894  (exit $ac_status); } &&
6895         { ac_try='test -s conftest.$ac_objext'
6896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6897  (eval $ac_try) 2>&5
6898  ac_status=$?
6899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6900  (exit $ac_status); }; }; then
6901  HAVE_MPI_MOD=1
6902 else
6903  echo "$as_me: failed program was:" >&5
6904 sed 's/^/| /' conftest.$ac_ext >&5
6905
6906 HAVE_MPI_MOD=0
6907 fi
6908 rm -f conftest.$ac_objext conftest.$ac_ext
6909
6910  F90FLAGS=$ac_save_F90FLAGS
6911  ac_ext=f90
6912 ac_compile='$F90 -c $F90FLAGS conftest.$ac_ext >&5'
6913 ac_link='$F90 -o conftest$ac_exeext $F90FLAGS $LD90FLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6914 ac_compiler_gnu=$ac_cv_f90_compiler_gnu
6915
6916
6917  if test "$HAVE_MPI_MOD" = 1; then
6918    echo "$as_me:$LINENO: result: yes" >&5
6919 echo "${ECHO_T}yes" >&6
6920
6921 cat >>confdefs.h <<\_ACEOF
6922 #define MPI_MOD 1
6923 _ACEOF
6924
6925    MPI_F90_MODS="${mpi_f90_mods}"
6926
6927    # The library name:
6928    if test -z "$MPI_LIB" ; then
6929       MPI_LIBNAME=-lmpich
6930    else
6931       MPI_LIBNAME="$MPI_LIB"
6932    fi
6933    if test -z "$MPIMODLIBNAME" ; then
6934       MPIMODLIBNAME="${MPI_LIBNAME}f90"
6935    fi
6936
6937  else
6938    echo "$as_me:$LINENO: result: no" >&5
6939 echo "${ECHO_T}no" >&6
6940    { { echo "$as_me:$LINENO: error: Couldn't locate MPI F90 Modules" >&5
6941 echo "$as_me: error: Couldn't locate MPI F90 Modules" >&2;}
6942   { (exit 1); exit 1; }; }
6943  fi
6944
6945
6946
6947
6948
6966   OBJEXT=".$OBJEXT"
6967  
6968   OOPSE=oopse
# Line 6969 | Line 6986 | SUBDIRS="libBASS libmdtools src forceFields samples ut
6986  
6987   MKINSTALLDIRS=`pwd`/ac-tools/"shtool mkdir -p -f"
6988  
6989 < SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps"
6989 > SUBDIRS="libBASS libmdtools src forceFields samples utils utils/sysbuilder staticProps third-party "
6990  
6991   CFLAGS=${CFLAGS-""}
6992   CXXFLAGS=${CXXFLAGS-""}
# Line 7004 | Line 7021 | esac
7021  
7022  
7023  
7024 <          ac_config_headers="$ac_config_headers libmdtools/config.h"
7024 >                    ac_config_headers="$ac_config_headers libBASS/config.h libmdtools/config.h"
7025  
7026 <                                                                                                                                                      ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7026 >                                                                                                                                                                ac_config_files="$ac_config_files Makefile libBASS/Makefile libmdtools/Makefile src/Makefile utils/Makefile utils/sysbuilder/Makefile forceFields/Makefile samples/Makefile staticProps/Makefile third-party/Makefile samples/alkane/Makefile samples/argon/Makefile samples/beadLipid/Makefile samples/lipid/Makefile samples/metals/Makefile samples/water/Makefile"
7027  
7028  
7029   cat >confcache <<\_ACEOF
# Line 7542 | Line 7559 | do
7559    "forceFields/Makefile" ) CONFIG_FILES="$CONFIG_FILES forceFields/Makefile" ;;
7560    "samples/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
7561    "staticProps/Makefile" ) CONFIG_FILES="$CONFIG_FILES staticProps/Makefile" ;;
7562 +  "third-party/Makefile" ) CONFIG_FILES="$CONFIG_FILES third-party/Makefile" ;;
7563    "samples/alkane/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/alkane/Makefile" ;;
7564    "samples/argon/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/argon/Makefile" ;;
7565    "samples/beadLipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/beadLipid/Makefile" ;;
7566    "samples/lipid/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/lipid/Makefile" ;;
7567    "samples/metals/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/metals/Makefile" ;;
7568    "samples/water/Makefile" ) CONFIG_FILES="$CONFIG_FILES samples/water/Makefile" ;;
7569 +  "libBASS/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libBASS/config.h" ;;
7570    "libmdtools/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS libmdtools/config.h" ;;
7571    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7572   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 7679 | Line 7698 | s,@mpi_dir@,$mpi_dir,;t t
7698   s,@LEXLIB@,$LEXLIB,;t t
7699   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
7700   s,@AR@,$AR,;t t
7701 < s,@mpi_dir@,$mpi_dir,;t t
7702 < s,@MPI_LIBDIR@,$MPI_LIBDIR,;t t
7703 < s,@MPI_INC@,$MPI_INC,;t t
7701 > s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
7702 > s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
7703 > s,@MPI_F90_INC@,$MPI_F90_INC,;t t
7704   s,@MPI_LIB@,$MPI_LIB,;t t
7705 < s,@MPIF77@,$MPIF77,;t t
7706 < s,@MPIF90@,$MPIF90,;t t
7688 < s,@MPILIBS@,$MPILIBS,;t t
7705 > s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
7706 > s,@USE_MPI@,$USE_MPI,;t t
7707   s,@CPP@,$CPP,;t t
7708   s,@EGREP@,$EGREP,;t t
7709   s,@SPRNG_LIBDIR@,$SPRNG_LIBDIR,;t t
# Line 7696 | Line 7714 | s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7714   s,@MKL_LIB@,$MKL_LIB,;t t
7715   s,@MKL_INC@,$MKL_INC,;t t
7716   s,@HAVE_MKL@,$HAVE_MKL,;t t
7699 s,@MPI_F90_MODS@,$MPI_F90_MODS,;t t
7700 s,@MPIMODLIBNAME@,$MPIMODLIBNAME,;t t
7717   s,@BATEXT@,$BATEXT,;t t
7718   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
7719   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines